Subject: Remove non-working Emacs "support" for macOS unexec

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Dec 2024 16:25:20 -0800

I took a bleeding-edge GNU Emacs (commit 
85ca91ff912da7c3a672e4bfe6ce103a23ddec73 dated today) and tried to build 
it on cfarm104.cfarm.net, which is running macOS 12.6 21G115. I used 
this command to configure and build:

   ./configure --with-gnutls=ifavailable --with-unexec=yes
   make check

The build failed mysteriously.

After doing this, I discovered GNU bug#52455, which says that unexec 
builds have not worked in macOS for some time and that this bug won't be 
fixed. I wish I hadn't wasted my time trying --with-unexec.

I suggest removing support for unexec on macOS, so that nobody else 
wastes time like I did.